Clipform
Forms

Create a form

Creates a form, optionally with all its nodes in one request.

POST
/forms

Authorization

bearerAuth
AuthorizationBearer <token>

API key (cf_*) passed as Bearer token

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/forms" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }'
{  "form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",  "share_id": "string",  "form_url": "http://example.com",  "viewer_url": "http://example.com",  "nodes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "string",      "prompt": "string"    }  ]}
Empty
Empty